<div fxFlex>
  <mat-sidenav-container fxFill>
    <mat-sidenav
      #sidenav
      [mode]="isMobile ? 'over' : 'side'"
      [opened]="!isMobile"
      [disableClose]="!isMobile"
      ngClass.gt-sm="has-border"
    >
      <mat-toolbar color="primary">
        <span translate>APP_NAME</span>
      </mat-toolbar>
      <nav>
        <mat-list>
          <mat-divider></mat-divider>
          <a mat-list-item routerLink="/users" routerLinkActive="active" (click)="isMobile && sidenav.close()">
            <mat-icon>group</mat-icon> &nbsp;
            <span translate>Users</span>
          </a>
          <mat-divider></mat-divider>
          <a mat-list-item routerLink="/devices" routerLinkActive="active" (click)="isMobile && sidenav.close()">
            <mat-icon>memory</mat-icon> &nbsp;
            <span translate>Devices</span>
          </a>
          <mat-divider></mat-divider>
          <a mat-list-item routerLink="/about" routerLinkActive="active" (click)="isMobile && sidenav.close()">
            <mat-icon>info_outline</mat-icon> &nbsp;
            <span translate>About</span>
          </a>
          <mat-divider></mat-divider>
        </mat-list>
      </nav>
    </mat-sidenav>
    <mat-sidenav-content>
      <mat-toolbar color="primary">
        <button class="menu-button" mat-icon-button (click)="sidenav.toggle()" fxHide.gt-sm>
          <mat-icon>menu</mat-icon>
        </button>
        <span>{{ title }}</span>
        <div fxFlex></div>
        <app-language-selector [icon]="true"></app-language-selector>
        <div>
          <button mat-icon-button [matMenuTriggerFor]="userMenu">
            <mat-icon>account_circle</mat-icon>
          </button>
          <mat-menu #userMenu="matMenu">
            <mat-list>
              <mat-list-item>
                <span translate>Logged in as</span>&nbsp;<b>{{ username }}</b>
              </mat-list-item>
              <mat-divider></mat-divider>
            </mat-list>
            <button mat-menu-item (click)="logout()" translate>Logout</button>
          </mat-menu>
        </div>
      </mat-toolbar>

      <div class="container">
        <router-outlet></router-outlet>
      </div>
    </mat-sidenav-content>
  </mat-sidenav-container>
</div>
